Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenCustomPropertyTab

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, GenPropertyTab, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  GenCustomPropertyTabImpl

    public interface GenCustomPropertyTab

extends GenPropertyTab

A representation of the model object 'Gen Custom Property Tab'.

The following features are supported:

- `Class Name`
- `Filter`

See Also:
  `GMFGenPackage.getGenCustomPropertyTab()`
** Generated **
Model:

Method Summary
`java.lang.String` `getClassName()` Returns the value of the 'Class Name' attribute
`GenPropertyTabFilter` `getFilter()` Returns the value of the 'Filter' containment reference.
`java.lang.String` `getQualifiedClassName()`
`void` `setClassName(java.lang.String value)` Sets the value of the '`Class Name`' attribute
`void` `setFilter(GenPropertyTabFilter value)` Sets the value of the '`Filter`' containment reference

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenPropertyTab
`getID, getLabel, getSheet, setID, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getClassName

    java.lang.String getClassName()

  Returns the value of the 'Class Name' attribute.

  If the meaning of the 'Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Class Name' attribute.
  See Also:
    `setClassName(String)`, `GMFGenPackage.getGenCustomPropertyTab_ClassName()`
  ** Generated **
  Model:
    required="true"

### setClassName

    void setClassName(java.lang.String value)

  Sets the value of the '`Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Class Name' attribute.
  See Also:
    `getClassName()`
  ** Generated **

### getFilter

    GenPropertyTabFilter getFilter()

  Returns the value of the 'Filter' containment reference. It is bidirectional and its opposite is '`Tab`'.

  If the meaning of the 'Filter' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Filter' containment reference.
  See Also:
    `setFilter(GenPropertyTabFilter)`, `GMFGenPackage.getGenCustomPropertyTab_Filter()`, `GenPropertyTabFilter.getTab()`
  ** Generated **
  Model:
    opposite="tab" containment="true"

### setFilter

    void setFilter(GenPropertyTabFilter value)

  Sets the value of the '`Filter`' containment reference.

  Parameters:
    `value` - the new value of the 'Filter' containment reference.
  See Also:
    `getFilter()`
  ** Generated **

### getQualifiedClassName

    java.lang.String getQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.